CalryOTA Docs
Integration Definition

Toggle images CDN

Enable or disable images CDN for a specific integration definition

PATCH
/api/v1/integration-definition/{provider}/images-cdn

Authorization

x-calry-api-key
x-calry-api-key<token>

In: header

Path Parameters

provider*string

The integration provider

Value in"AVANTIO" | "BOOKINGSYNC" | "BOOM" | "CIIRUS" | "ELINA" | "GUESTY" | "HOSTAWAY" | "HOSTFULLY" | "HOSTIFY" | "INTERHOME" | "LODGIFY" | "OWNERREZ" | "HOSTHUB" | "UPLISTING" | "BEDS24" | "HOST_TOOLS" | "HOSTFULLYSANDBOX" | "HOSPITABLE" | "TOKEET" | "MR_ALFRED"

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

enableImagesCDN*boolean

Enable or disable images CDN for this integration

Response Body

application/json

application/json

curl -X PATCH "https://example.com/api/v1/integration-definition/AVANTIO/images-cdn" \  -H "Content-Type: application/json" \  -d '{    "enableImagesCDN": true  }'
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "name": "Hostaway Integration",
  "provider": "HOSTAWAY",
  "icon": "https://example.com/icons/hostaway.png",
  "partnerKey": {
    "headers": {
      "x-api-key": "YOUR_API_KEY"
    },
    "queryParams": {
      "client_id": "YOUR_CLIENT_ID"
    }
  },
  "fieldsToSync": {
    "listing": {
      "name": true,
      "type": true,
      "rooms": true,
      "rating": true,
      "address": true,
      "checkIn": false,
      "contact": false,
      "checkOut": false,
      "currency": true,
      "latitude": true,
      "pictures": false,
      "timeZone": false,
      "amenities": true,
      "longitude": true,
      "providerID": true,
      "startPrice": false,
      "description": true,
      "bedroomCount": false,
      "internalName": false,
      "maxOccupancy": false,
      "thumbnailUrl": false,
      "bathroomCount": false,
      "maximumNights": true,
      "minimumNights": true,
      "listingDetails": true,
      "parentPropertyID": false
    }
  },
  "createdAt": "2025-01-01T00:00:00.000Z",
  "updatedAt": "2025-01-02T00:00:00.000Z"
}
Empty
{
  "timestamp": "2025-03-05T11:45:49.631Z",
  "path": "<URL_PATH>",
  "message": "Authentication failed",
  "details": []
}
Empty